Released docs. You are viewing the documentation published with v0.46.0. Development docs are available at Latest.
proposals.get
const url = 'https://example.com/v1/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?accessProfile=facility-correction-applier';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/proposals/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0?accessProfile=facility-correction-applier'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Authorized Proposal operation
object
object
Application time, present with appliedBy only when the selected profile holds get-application-actor.
Keyed actor pseudonym, present with appliedAt only when the selected profile holds get-application-actor.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "applicationStatus": { "mode": "automatic", "reason": "package-changed", "recovery": "retry", "state": "awaiting-review" }, "attachments": { "additionalProperty": { "classification": "public", "links": { "additionalProperty": { "availability": { "reason": "pending-review", "recovery": "refresh" }, "method": "GET", "operation": "download" } }, "value": { "verificationStatus": "notRequired" } } }, "blockedReason": "package-changed", "decision": { "status": "approved" }, "handoffRefusal": { "code": "review.initiator-required" }, "links": { "additionalProperty": { "availability": { "reason": "pending-review", "recovery": "refresh" }, "method": "GET" } }, "state": "draft", "turn": "party"}Resource unavailable to this caller
Observed authority or lifecycle condition changed
Cookies on Registry Stack
We use optional cookies to understand how you use the main Registry Stack website and this documentation. If you contact us, we may link this activity to your enquiry. You can change your choice at any time. Read the privacy policy.
Your browser asks sites not to track you, so optional tracking stays off.
We could not use or save that choice. Optional tracking remains off.